Package anbxj

# Enum Class Crypto_KeyStoreType

java.lang.Object
java.lang.Enum<Crypto_KeyStoreType>
anbxj.Crypto_KeyStoreType

All Implemented Interfaces:
  `Serializable`, `Comparable<Crypto_KeyStoreType>`, `Constable`

public enum Crypto_KeyStoreType extends Enum<Crypto_KeyStoreType>
Enumerates key stores for different key purposes in the cryptographic API.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `enc`
  KeyStore type encryption
  `hmc`
  KeyStore type hmac
  `sig`
  KeyStore type signature
  `tls`
  KeyStore type TLS

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Crypto_KeyStoreType`
  `hk()`
  Gets the key store type for hybrid keys.
  `static Crypto_KeyStoreType`
  `ident_ks()`
  Gets the key store type for identity.
  `boolean`
  `is_CryptoKeyStorePK()`
  Checks if the key store is for public keys.
  `boolean`
  `is_CryptoKeyStoreSK()`
  Checks if the key store is for secret keys.
  `static Crypto_KeyStoreType`
  `pk()`
  Gets the key store type for public keys.
  `static Crypto_KeyStoreType`
  `sk()`
  Gets the key store type for secret keys.
  `static Crypto_KeyStoreType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Crypto_KeyStoreType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### tls

    public static final Crypto_KeyStoreType tls
    KeyStore type TLS

  - ### enc

    public static final Crypto_KeyStoreType enc
    KeyStore type encryption

  - ### sig

    public static final Crypto_KeyStoreType sig
    KeyStore type signature

  - ### hmc

    public static final Crypto_KeyStoreType hmc
    KeyStore type hmac

- ## Method Details

  - ### values

    public static Crypto_KeyStoreType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Crypto_KeyStoreType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### is_CryptoKeyStoreSK

    public boolean is_CryptoKeyStoreSK()
    Checks if the key store is for secret keys.
    Returns:
      true if the key store is for secret keys, false otherwise.

  - ### is_CryptoKeyStorePK

    public boolean is_CryptoKeyStorePK()
    Checks if the key store is for public keys.
    Returns:
      true if the key store is for public keys, false otherwise.

  - ### pk

    public static Crypto_KeyStoreType pk()
    Gets the key store type for public keys.
    Returns:
      The key store type for public keys.

  - ### sk

    public static Crypto_KeyStoreType sk()
    Gets the key store type for secret keys.
    Returns:
      The key store type for secret keys.

  - ### hk

    public static Crypto_KeyStoreType hk()
    Gets the key store type for hybrid keys.
    Returns:
      The key store type for hybrid keys.

  - ### ident_ks

    public static Crypto_KeyStoreType ident_ks()
    Gets the key store type for identity.
    Returns:
      The key store type for identity.